export default {

    /**
     * 动态的执行方法
     * @param {文件名} fileName 
     * @param {方法名} methodName 
     * @param {参数} modelData 
     */
    execute: function(fileName, methodName, modelData){
        return new Promise((resolve, reject) => {
            import('./' + fileName).then(module => {
                var newModelData = module.default[methodName](modelData);
                resolve(newModelData);
            }).catch(err => {
                reject(err);
            });
        });
    }
}